Debian Bug report logs - #433869
Etch: New Zealand change to daylight time transition

version graph

Package: tzdata; Maintainer for tzdata is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for tzdata is src:tzdata.

Reported by: Ewen McNeill <ewen@naos.co.nz>

Date: Thu, 19 Jul 2007 23:18:03 UTC

Severity: normal

Found in version tzdata/2007b-1

Fixed in versions 2007f-1etch1, 2007f-9

Done: Aurelien Jarno <aurelien@aurel32.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to Ewen McNeill <ewen@naos.co.nz>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ewen McNeill <ewen@naos.co.nz>
To: submit@bugs.debian.org
Subject: Etch: New Zealand change to daylight time transition
Date: Fri, 20 Jul 2007 11:08:07 +1200
Package: tzdata
Version: 2007b-1
Severity: normal

The New Zealand Government has altered the dates when Daylight Time
will start and end starting this year.  Daylight Time will begin one
week earlier (on the last Sunday in September, instead of the first
Sunday in October), and finish two weeks later:

http://www.dia.govt.nz/diawebsite.nsf/wpg_URL/Services-Daylight-Saving-Daylight-saving-to-be-extended?OpenDocument

The tzdata package in testing and unstable (2007f-9) includes this
change, and the timezone is correctly reported in those versions (as
seen in, eg, "tzdump -v Pacific/Auckland").

However the tzdata package in stable (etch) -- 2007b-1 -- is now out of
date for New Zealand ("Pacific/Auckland") and still shows the Daylight
Time transition following the old rules.

I see an update was issued last year to pick up USA and Australian
daylight time changes
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=410146).

Is an update for stable (etch) planned to pick up the New Zealand time
zone change, either in the main archive or in debian-volatile and/or
backports.org?  If not, could you recommend the preferred way to update
this package on systems running stable (etch)?

Ewen

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-xen-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to Ewen McNeill <ewen@naos.co.nz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 433869@bugs.debian.org (full text, mbox):

From: Ewen McNeill <ewen@naos.co.nz>
To: 433869@bugs.debian.org
Subject: Etch: New Zealand change to daylight time transition
Date: Fri, 20 Jul 2007 11:45:52 +1200
I have also filed a bug on libc6 in Sarge for this issue (since the
timezone information is rolled into the libc6 package in Sarge), #433870:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=433870

You may possibly wish to coordinate with the libc6 maintainer.

Ewen



Bug reassigned from package `tzdata' to `tzdata'. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 08:27:05 GMT) Full text and rfc822 format available.

Merged 433869 433870. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 08:57:05 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ewen McNeill <ewen@naos.co.nz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 433869-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 433869-close@bugs.debian.org
Subject: Bug#433869: fixed in tzdata 2007f-1etch1
Date: Tue, 31 Jul 2007 17:55:41 +0200 (CEST)
Source: tzdata
Source-Version: 2007f-1etch1

We believe that the bug you reported is fixed in the latest version of
tzdata, which is due to be installed in the volatile.debian.org FTP archive:

tzdata_2007f-1etch1.diff.gz
  to pool/volatile/main/t/tzdata/tzdata_2007f-1etch1.diff.gz
tzdata_2007f-1etch1.dsc
  to pool/volatile/main/t/tzdata/tzdata_2007f-1etch1.dsc
tzdata_2007f-1etch1_all.deb
  to pool/volatile/main/t/tzdata/tzdata_2007f-1etch1_all.deb
tzdata_2007f.orig.tar.gz
  to pool/volatile/main/t/tzdata/tzdata_2007f.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433869@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

volatile.debian.org distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated tzdata package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@volatile.debian.net)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 31 Jul 2007 17:26:15 +0200
Source: tzdata
Binary: tzdata
Architecture: source all
Version: 2007f-1etch1
Distribution: etch-volatile
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 tzdata     - Time Zone and Daylight Saving Time Data
Closes: 433869
Changes: 
 tzdata (2007f-1etch1) etch-volatile; urgency=low
 .
   * New upstream release for Etch:
     - Only the timezone definitions have been changed, all scripts are
       left unchanged.
     - Includes new DST rules for New Zealand (closes: bug#433869).
Files: 
 66a68743b2d35d5de29e08166d6d62dd 875 libs required tzdata_2007f-1etch1.dsc
 9927daac74657f9731e6534fb548dc12 160514 libs required tzdata_2007f.orig.tar.gz
 5f46c7c65bf0fd5605daf1a49082b8b0 4085 libs required tzdata_2007f-1etch1.diff.gz
 0d9e57a8a781366fedcca14a563365bb 350200 libs required tzdata_2007f-1etch1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGr1S4w3ao2vG823MRAhT3AJ0evO0OloEiiu94kVVGjG5F6nzBogCfd4TI
ZcxNwAHzsLsq8Hy+Q1kjPXw=
=OH34
-----END PGP SIGNATURE-----




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ewen McNeill <ewen@naos.co.nz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ewen McNeill <ewen@naos.co.nz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 433869-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 433869-close@bugs.debian.org
Subject: Bug#433869: fixed in tzdata 2007f-1etch1
Date: Sat, 18 Aug 2007 19:56:15 +0000
Source: tzdata
Source-Version: 2007f-1etch1

We believe that the bug you reported is fixed in the latest version of
tzdata, which is due to be installed in the Debian FTP archive:

tzdata_2007f-1etch1.diff.gz
  to pool/main/t/tzdata/tzdata_2007f-1etch1.diff.gz
tzdata_2007f-1etch1.dsc
  to pool/main/t/tzdata/tzdata_2007f-1etch1.dsc
tzdata_2007f-1etch1_all.deb
  to pool/main/t/tzdata/tzdata_2007f-1etch1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433869@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated tzdata package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 31 Jul 2007 13:13:50 +0000
Source: tzdata
Binary: tzdata
Architecture: source all
Version: 2007f-1etch1
Distribution: stable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 tzdata     - Time Zone and Daylight Saving Time Data
Closes: 433869
Changes: 
 tzdata (2007f-1etch1) stable; urgency=low
 .
   * New upstream release for Etch:
     - Only the timezone definitions have been changed, all scripts are
       left unchanged.
     - Includes new DST rules for New Zealand (closes: bug#433869).
Files: 
 234e8a807229a72ea37f8577b543c3b3 875 libs required tzdata_2007f-1etch1.dsc
 1d018fb9052cbdab92eed5d58f096049 4078 libs required tzdata_2007f-1etch1.diff.gz
 5f4e4d8f1a23923b302249238d401401 349908 libs required tzdata_2007f-1etch1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGxWsaw3ao2vG823MRAlZiAJ47jXyA5XHg7xBIYdBZWyZxBzv+4wCgkBKv
VnP0WwfHSdyr2OensRz7fJA=
=ExzG
-----END PGP SIGNATURE-----




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ewen McNeill <ewen@naos.co.nz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Disconnected #433870 from all other report(s). Request was from Touko Korpela <tkorpela@phnet.fi> to control@bugs.debian.org. (Sun, 19 Aug 2007 11:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to Greg Trounson <gregt@maths.otago.ac.nz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 433869@bugs.debian.org (full text, mbox):

From: Greg Trounson <gregt@maths.otago.ac.nz>
To: 433869@bugs.debian.org
Subject: Update not applied
Date: Mon, 10 Sep 2007 11:05:36 +1200
Looking in http://ftp.us.debian.org/debian/dists/etch/main/binary-i386/Packages.bz2 I 
notice the package tzdata is still stuck at version 2007b, which does not apply the time 
zone changes listed in this bug report.

It seems apparent that version 2007f, which contains the fix, is marked to be put into 
etch but since it has not yet been done, and the New Zealand daylight savings time is due 
to come into effect in two weeks, this is now rather urgent.

I would recommend re-opening this bug and upgrading its severity until the fix has been 
applied.

Greg




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 433869@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Greg Trounson <gregt@maths.otago.ac.nz>, 433869@bugs.debian.org
Subject: Re: Bug#433869: Update not applied
Date: Mon, 10 Sep 2007 07:54:10 +0200
Greg Trounson a écrit :
> Looking in http://ftp.us.debian.org/debian/dists/etch/main/binary-i386/Packages.bz2 I 
> notice the package tzdata is still stuck at version 2007b, which does not apply the time 
> zone changes listed in this bug report.
>
> It seems apparent that version 2007f, which contains the fix, is marked to be put into 
> etch but since it has not yet been done, and the New Zealand daylight savings time is due 
> to come into effect in two weeks, this is now rather urgent.

The fix is already in the volatile archive (see
http://volatile.debian.org), in the etch-proposed-update archive and it
will also appear in the next release of etch. Alternatively you can also
download the new version by hand and use dpkg -i.

> I would recommend re-opening this bug and upgrading its severity until the fix has been 
> applied.

That won't change anything as it is now out of control of the glibc team.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to Greg Trounson <gregt@maths.otago.ac.nz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #51 received at 433869@bugs.debian.org (full text, mbox):

From: Greg Trounson <gregt@maths.otago.ac.nz>
To: Aurelien Jarno <aurelien@aurel32.net>, 433869@bugs.debian.org
Subject: Re: Bug#433869: Update not applied
Date: Mon, 17 Sep 2007 10:03:26 +1200
Aurelien Jarno wrote:
> Greg Trounson a écrit :
>> Looking in http://ftp.us.debian.org/debian/dists/etch/main/binary-i386/Packages.bz2 I 
>> notice the package tzdata is still stuck at version 2007b, which does not apply the time 
>> zone changes listed in this bug report.
>>
>> It seems apparent that version 2007f, which contains the fix, is marked to be put into 
>> etch but since it has not yet been done, and the New Zealand daylight savings time is due 
>> to come into effect in two weeks, this is now rather urgent.
> 
> The fix is already in the volatile archive (see
> http://volatile.debian.org), in the etch-proposed-update archive and it
> will also appear in the next release of etch. Alternatively you can also
> download the new version by hand and use dpkg -i.
> 
>> I would recommend re-opening this bug and upgrading its severity until the fix has been 
>> applied.
> 
> That won't change anything as it is now out of control of the glibc team.
> 

And these mission-critical updates aren't put into security, why?

Greg





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #56 received at 433869@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Greg Trounson <gregt@maths.otago.ac.nz>
Cc: 433869@bugs.debian.org
Subject: Re: Bug#433869: Update not applied
Date: Sat, 22 Sep 2007 23:59:52 +0200
Greg Trounson a écrit :
> Aurelien Jarno wrote:
>> Greg Trounson a écrit :
>>> Looking in http://ftp.us.debian.org/debian/dists/etch/main/binary-i386/Packages.bz2 I 
>>> notice the package tzdata is still stuck at version 2007b, which does not apply the time 
>>> zone changes listed in this bug report.
>>>
>>> It seems apparent that version 2007f, which contains the fix, is marked to be put into 
>>> etch but since it has not yet been done, and the New Zealand daylight savings time is due 
>>> to come into effect in two weeks, this is now rather urgent.
>> The fix is already in the volatile archive (see
>> http://volatile.debian.org), in the etch-proposed-update archive and it
>> will also appear in the next release of etch. Alternatively you can also
>> download the new version by hand and use dpkg -i.
>>
>>> I would recommend re-opening this bug and upgrading its severity until the fix has been 
>>> applied.
>> That won't change anything as it is now out of control of the glibc team.
>>
> 
> And these mission-critical updates aren't put into security, why?
> 

Because it's not a security bug.


-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to Mark Robinson <mark@zl2tod.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #61 received at 433869@bugs.debian.org (full text, mbox):

From: Mark Robinson <mark@zl2tod.net>
To: 433869@bugs.debian.org
Subject: NZ tzdata change
Date: Sat, 29 Sep 2007 12:21:29 +1200
Even Microsoft are not this silly.





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to "Jasper Bryant-Greene" <m@ni.ac.nz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 433869@bugs.debian.org (full text, mbox):

From: "Jasper Bryant-Greene" <m@ni.ac.nz>
To: 433869@bugs.debian.org
Subject: This is completely ridiculous.
Date: Sun, 30 Sep 2007 16:12:51 +1300
This is completely ridiculous. As of this morning, hundreds of Debian
servers in our organisation have the incorrect time thanks to this
stubbornness. No doubt thousands of machines across New Zealand are in
the same situation, and your proposed solution is not really a
solution.

This update should be pushed to the etch or etch/updates repo.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 433869@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Jasper Bryant-Greene <m@ni.ac.nz>, 433869@bugs.debian.org
Subject: Re: Bug#433869: This is completely ridiculous.
Date: Sun, 30 Sep 2007 11:09:15 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep 30, 2007 at 07:16:44AM +0000, Jasper Bryant-Greene wrote:
> This is completely ridiculous. As of this morning, hundreds of Debian
> servers in our organisation have the incorrect time thanks to this
> stubbornness. No doubt thousands of machines across New Zealand are in
> the same situation, and your proposed solution is not really a
> solution.
> 
> This update should be pushed to the etch or etch/updates repo.

  http://www.debian.org/volatile/

  The package sits in volatile for months. Please take your troll
elsewhere.

  It will go through etch/updates when the new point release will be
issued, and we missed the previous window because the bug was open a few
days before the last release, and it couldn't make it sorry. So we
pushed it in any other place we have access to, namely backports.org and
volatile.debian.org (the latter is designed to fulfill updates of
volatile packages, _LIKE_ timezone datas). You don't want to use
volatile repositories ? Your loss. But stop insulting us. You are the
stubborn one.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433869; Package tzdata. Full text and rfc822 format available.

Acknowledgement sent to "Kelly Price" <strredwolf@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #76 received at 433869@bugs.debian.org (full text, mbox):

From: "Kelly Price" <strredwolf@gmail.com>
To: 433869@bugs.debian.org
Subject: Bug#433869: You've been Slashdotted.
Date: Sun, 30 Sep 2007 08:39:26 -0400
FYI:  This bug made Slashdot news.

http://linux.slashdot.org/article.pl?sid=07/09/30/1117241

Debian politics.  Don't you just love 'em? :)




Bug marked as found in version 2007b-1. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Sun, 30 Sep 2007 18:57:09 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurelien@aurel32.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ewen McNeill <ewen@naos.co.nz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #83 received at 433869-done@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 433869-done@bugs.debian.org
Subject: Etch: New Zealand change to daylight time transition
Date: Mon, 4 Feb 2008 22:34:31 +0100
Version: 2007f-9

This bug has been fixed in unstable for a long time.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Mar 2008 07:34:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:08:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.